org.codehaus.plexus.component.discovery

## Class DefaultComponentDiscovererManager

- java.lang.Object
- - org.codehaus.plexus.component.discovery.DefaultComponentDiscovererManager

All Implemented Interfaces:
  ComponentDiscovererManager

    public class DefaultComponentDiscovererManager
    extends java.lang.Object
    implements ComponentDiscovererManager

### Constructor Summary

Constructors
Constructor and Description
`DefaultComponentDiscovererManager()`

### Method Summary

Methods
`void` `addComponentDiscoverer(ComponentDiscoverer discoverer)`
`void` `fireComponentDiscoveryEvent(ComponentDiscoveryEvent event)`
`java.util.List<ComponentDiscoverer>` `getComponentDiscoverers()`
`java.util.Map<ComponentDiscoveryListener,java.lang.Object>` `getComponentDiscoveryListeners()`
`void` `registerComponentDiscoveryListener(ComponentDiscoveryListener listener)`
`void` `removeComponentDiscoveryListener(ComponentDiscoveryListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultComponentDiscovererManager

    public DefaultComponentDiscovererManager()

### Method Detail

#### addComponentDiscoverer

    public void addComponentDiscoverer(ComponentDiscoverer discoverer)

Specified by:
  `addComponentDiscoverer` in interface `ComponentDiscovererManager`

#### getComponentDiscoverers

    public java.util.List<ComponentDiscoverer> getComponentDiscoverers()

Specified by:
  `getComponentDiscoverers` in interface `ComponentDiscovererManager`

#### getComponentDiscoveryListeners

    public java.util.Map<ComponentDiscoveryListener,java.lang.Object> getComponentDiscoveryListeners()

Specified by:
  `getComponentDiscoveryListeners` in interface `ComponentDiscovererManager`

#### registerComponentDiscoveryListener

    public void registerComponentDiscoveryListener(ComponentDiscoveryListener listener)

Specified by:
  `registerComponentDiscoveryListener` in interface `ComponentDiscovererManager`

#### removeComponentDiscoveryListener

    public void removeComponentDiscoveryListener(ComponentDiscoveryListener listener)

Specified by:
  `removeComponentDiscoveryListener` in interface `ComponentDiscovererManager`

#### fireComponentDiscoveryEvent

    public void fireComponentDiscoveryEvent(ComponentDiscoveryEvent event)

Specified by:
  `fireComponentDiscoveryEvent` in interface `ComponentDiscovererManager`